/* include/config.h.in.  Generated from configure.ac by autoheader.  */

/* Define if building universal (internal helper macro) */
#undef AC_APPLE_UNIVERSAL_BUILD

/* use to force inlining (if possible) */
#undef ALWAYS_INLINE

/* Define to 1 if translation of program messages to the user's native
   language is requested. */
#undef ENABLE_NLS

/* Define if X11 video output plugins are allowed with XCB */
#undef ENABLE_X11_VO

/* Define if glib uses the system malloc by default. */
#undef GLIB_USES_SYSTEM_MALLOC

/* location of the gnome-screensaver binary */
#undef GNOME_SCREENSAVER_COMMAND

/* where to install the binary */
#undef GXINE_BINDIR

/* where to install conf files */
#undef GXINE_CONFDIR

/* where to install high-colour desktop icons */
#undef GXINE_HICOLOURDIR

/* where to install desktop icons */
#undef GXINE_ICONDIR

/* where to install the logo */
#undef GXINE_LOGODIR

/* where to install misc files (e.g. sample mediamarks) */
#undef GXINE_MISCDIR

/* where to install pixmaps */
#undef GXINE_PIXMAPDIR

/* where to install the browser plugin */
#undef GXINE_PLUGINDIR

/* Common prefix for the HAL device pathname property */
#undef HAL_DEVICE_FILE_PREFIX

/* HAL device pathname property */
#undef HAL_DEVICE_FILE_PROPERTY

/* Define to 1 if you have the <alloca.h> header file. */
#undef HAVE_ALLOCA_H

/* Define to 1 if you have the MacOS X function CFLocaleCopyCurrent in the
   CoreFoundation framework. */
#undef HAVE_CFLOCALECOPYCURRENT

/* Define to 1 if you have the MacOS X function CFPreferencesCopyAppValue in
   the CoreFoundation framework. */
#undef HAVE_CFPREFERENCESCOPYAPPVALUE

/* Define whether we have compartments */
#undef HAVE_COMPARTMENTS

/* Define if the GNU dcgettext() function is already present or preinstalled.
   */
#undef HAVE_DCGETTEXT

/* Define to 1 if you have the <dlfcn.h> header file. */
#undef HAVE_DLFCN_H

/* Define this to use DPMS to defeat the screen blanker */
#undef HAVE_DPMS_EXTENSION

/* Define this if you have GNU getopt_long() implemented */
#undef HAVE_GETOPT_LONG

/* Define if the GNU gettext() function is already present or preinstalled. */
#undef HAVE_GETTEXT

/* Define if you have the iconv() function and it works. */
#undef HAVE_ICONV

/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H

/* Define if JSFloat64 is declared */
#undef HAVE_JSFLOAT64

/* Define whether we have JS_GetStringBytes */
#undef HAVE_JS_GET_STRING_BYTES

/* Define whether we have JS_NewDouble */
#undef HAVE_JS_NEW_DOUBLE

/* Define whether we have the JSStrictPropertyOp prototype */
#undef HAVE_JS_STRICT_PROPERTY_OP

/* Define to 1 if you have the `dl' library (-ldl). */
#undef HAVE_LIBDL

/* Define to 1 if you have the `m' library (-lm). */
#undef HAVE_LIBM

/* Define if you have jsapi.h */
#undef HAVE_LIBSMJS

/* Define this if you have LIRC (liblirc_client) installed */
#undef HAVE_LIRC

/* Define to 1 if you have the <memory.h> header file. */
#undef HAVE_MEMORY_H

/* Define to 1 if you have the <netdb.h> header file. */
#undef HAVE_NETDB_H

/* Define to 1 if you have the <netinet/in.h> header file. */
#undef HAVE_NETINET_IN_H

/* Define to 1 if you have the <poll.h> header file. */
#undef HAVE_POLL_H

/* Define to 1 if the system has the type `ptrdiff_t'. */
#undef HAVE_PTRDIFF_T

/* Define to 1 if you have the <stdint.h> header file. */
#undef HAVE_STDINT_H

/* Define to 1 if you have the <stdlib.h> header file. */
#undef HAVE_STDLIB_H

/* Define to 1 if you have the <strings.h> header file. */
#undef HAVE_STRINGS_H

/* Define to 1 if you have the <string.h> header file. */
#undef HAVE_STRING_H

/* Define to 1 if you have the <sys/socket.h> header file. */
#undef HAVE_SYS_SOCKET_H

/* Define to 1 if you have the <sys/stat.h> header file. */
#undef HAVE_SYS_STAT_H

/* Define to 1 if you have the <sys/types.h> header file. */
#undef HAVE_SYS_TYPES_H

/* Define to 1 if you have the <sys/un.h> header file. */
#undef HAVE_SYS_UN_H

/* Define to 1 if you have the <unistd.h> header file. */
#undef HAVE_UNISTD_H

/* Define if X11 is available and to be used */
#undef HAVE_X11

/* Define if XCB is available and to be used */
#undef HAVE_XCB

/* Define this if you have libXinerama */
#undef HAVE_XINERAMA

/* [Define if xml_parser_init_r etc. are available] */
#undef HAVE_XML_PARSER_REENTRANT

/* Define this if you have libXrandr installed (and GTK+2 uses it) */
#undef HAVE_XRANDR

/* Define this to use XTest to defeat the screen blanker (requires libXtst) */
#undef HAVE_XTESTEXTENSION

/* Define whether the JSVAL_TO_DOUBLE function or macro returns a pointer to
   jsdouble */
#undef JSVAL_TO_DOUBLE_RETURNS_POINTER

/* Define whether the type of id in the prototype for JSPropertyOp is a jsid
   */
#undef JS_PROPERTY_OP_HAS_ID_AS_JSID

/* xine-lib's text domain name */
#undef LIB_PACKAGE

/* Set to the logo image format (mpv or jpg) */
#undef LOGO_FORMAT

/* Define to the sub-directory where libtool stores uninstalled libraries. */
#undef LT_OBJDIR

/* Name of package */
#undef PACKAGE

/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT

/* Define to the full name of this package. */
#undef PACKAGE_NAME

/* Define to the full name and version of this package. */
#undef PACKAGE_STRING

/* Define to the one symbol short name of this package. */
#undef PACKAGE_TARNAME

/* Define to the home page for this package. */
#undef PACKAGE_URL

/* Define to the version of this package. */
#undef PACKAGE_VERSION

/* Undefine if you want gxine to use xine-lib's playlist parsing code
   (feedback welcome) */
#undef PARSE_PLAYLISTS

/* we have at least one screensaver command */
#undef SCREENSAVER_COMMANDS

/* Define to 1 if you have the ANSI C header files. */
#undef STDC_HEADERS

/* Define if you want gxine to be able to configure other apps to use it */
#undef USE_INTEGRATION_WIZARD

/* Define if you are experiencing a hang in gxine on Solaris */
#undef USE_SUN_XLIB_WORKAROUND

/* Enable extensions on AIX 3, Interix.  */
#ifndef _ALL_SOURCE
# undef _ALL_SOURCE
#endif
/* Enable GNU extensions on systems that have them.  */
#ifndef _GNU_SOURCE
# undef _GNU_SOURCE
#endif
/* Enable threading extensions on Solaris.  */
#ifndef _POSIX_PTHREAD_SEMANTICS
# undef _POSIX_PTHREAD_SEMANTICS
#endif
/* Enable extensions on HP NonStop.  */
#ifndef _TANDEM_SOURCE
# undef _TANDEM_SOURCE
#endif
/* Enable general extensions on Solaris.  */
#ifndef __EXTENSIONS__
# undef __EXTENSIONS__
#endif


/* package build identifier, e.g. vendor name and package version */
#undef VENDOR_PKG_VERSION

/* Version number of package */
#undef VERSION

/* Define if dbus-glib is present and you want to use it to talk to
   gnome-screensaver. */
#undef WITH_DBUS

/* Define if you want gxine to be built with deprecated features */
#undef WITH_DEPRECATED

/* Define if libgudev is present and you want to use it. */
#undef WITH_GUDEV

/* Define if HAL is present and you want to use it. */
#undef WITH_HAL

/* Define if you want gxine to be built with obsolete features */
#undef WITH_OBSOLETE

/* Define if you want to enable the watchdog (will abort gxine if it hangs */
#undef WITH_WATCHDOG

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
#  undef WORDS_BIGENDIAN
# endif
#endif

/* location of the xdg-screensaver binary */
#undef XDG_SCREENSAVER_COMMAND

/* Define to 1 if the X Window System is missing or not being used. */
#undef X_DISPLAY_MISSING

/* location of the xscreensaver-command binary */
#undef X_SCREENSAVER_COMMAND

/* Define to 1 if on MINIX. */
#undef _MINIX

/* Define to 2 if the system does not provide POSIX.1 features except with
   this defined. */
#undef _POSIX_1_SOURCE

/* Define to 1 if you need to in order for `stat' and other things to work. */
#undef _POSIX_SOURCE

/* Define to '0x0502' for Windows XP SP2 APIs. */
#undef _WIN32_WINNT

/* Define to empty if `const' does not conform to ANSI C. */
#undef const

/* Define to `__inline__' or `__inline' if that's what the C compiler
   calls it, or to nothing if 'inline' is not supported under any name.  */
#ifndef __cplusplus
#undef inline
#endif

/* Define to `long int' if <sys/types.h> does not define. */
#undef off_t

/* Define to `unsigned int' if <sys/types.h> does not define. */
#undef size_t
